## waymore 3.7

=== requirements.txt ===
argparse
PyYAML
requests
setuptools
termcolor
psutil
urlparse3
tldextract

=== debian/changelog ===
waymore (3.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Thu, 01 Aug 2024 19:21:39 -0400

waymore (3.7-1) unstable; urgency=medium

  * Initial release. (Closes: #1067515)

 -- Aquila Macedo Costa <aquilamacedo@riseup.net>  Tue, 12 Mar 2024 21:05:42 -0300

=== debian/control ===
Source: waymore
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Aquila Macedo Costa <aquilamacedo@riseup.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-psutil,
 python3-termcolor,
 python3-requests,
 python3-yaml,
 python3-docutils <!nodoc>,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/xnl-h4ck3r/waymore/
Vcs-Browser: https://salsa.debian.org/pkg-security-team/waymore
Vcs-Git: https://salsa.debian.org/pkg-security-team/waymore.git

Package: waymore
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Tool to discover extensive data from online archives
 waymore is a versatile tool designed to extract comprehensive information
 from various sources including the Wayback Machine, Common Crawl, Alien Vault
 OTX, URLScan, and VirusTotal. Whether you're searching for historical web data
 or analyzing security threats, waymore provides a seamless experience with its
 intuitive interface and extensive features.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/xnl-h4ck3r/waymore/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## waymore 6.1

=== requirements.txt ===
PyYAML
requests
setuptools
termcolor
psutil
urlparse3
tldextract

=== debian/changelog ===
waymore (6.1-1~exp1) experimental; urgency=medium

  * New upstream version 6.1
  * Drop fix-incorrect-directory-creation.patch as it's already applied upstream
  * d/control: Bump Standards-Version to 4.7.2; no changes needed
  * d/copyright: Update maintainer copyright year
  * d/gbp.conf: Push gbp conf with sane defaults
  * d/man/waymore.rst: Updating the manpages

 -- Aquila Macedo Costa <aquilamacedo@riseup.net>  Thu, 31 Jul 2025 12:18:21 -0300

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-yaml,
  python3-docutils <!nodoc>,
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/xnl-h4ck3r/waymore/
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/waymore
 Vcs-Git: https://salsa.debian.org/pkg-security-team/waymore.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=waymore

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_installman:
	rst2man debian/man/waymore.rst > debian/man/waymore.1
